Philadelphia web company Miller Designworks implements WordPress Security Updates

Posted on May 29, 2015 in Artifacts | No Comments

In May, security researchers uncovered a Cross-site Scripting (XSS) vulnerability in many popular WordPress plugins. While Philadelphia web company Miller Designworks’ themes and CMS plugin are not vulnerable to this, many third-party themes and plugins that developers regularly use are on the vulnerability list. Most of the developers of these plugins have now developed updates to protect against this exploit in the last few weeks.

It is important to maintain updates to WordPress core and Plugins regularly to stay ahead of security threats like this one. WordPress core and Plugin updates can sometimes cause issues, especially if the website has not been updated for several versions.

At this point, we strongly suggest that you test necessary updates to the core site and your site plugins. If you are a current client of ours you should have received an email from us and a follow up. If not, please contacts so we can discuss an implementation plan.

If you are not a current client, we wish you were! If you are not sure if your WordPress site is up-to-date and your current developer is not able to help you, we’d be happy to take a look and discuss your options.

Contact Steve Miller at 610-917-0100, and he’ll get you in touch with an MDW web team member to review your needs.